Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.ServletException
                        |
                        +--org.apache.jasper.JasperException
                              |
                              +--org.apache.jasper.runtime.JspException

All Implemented Interfaces:
  java.io.Serializable

public class JspException
extends JasperException

Base class for all exceptions generated by the JSP engine. Makes it convienient to catch just this at the top-level.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Constructor Summary
`JspException(java.lang.String reason)`
`JspException(java.lang.String reason, java.lang.Throwable exception)` Creates a JasperException with the embedded exception and the reason for throwing a JasperException
`JspException(java.lang.Throwable exception)` Creates a JasperException with the embedded exception

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspException

    public JspException(java.lang.String reason)

### JspException

    public JspException(java.lang.String reason,
                        java.lang.Throwable exception)

  Creates a JasperException with the embedded exception and the reason for throwing a JasperException

### JspException

    public JspException(java.lang.Throwable exception)

  Creates a JasperException with the embedded exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.